Bug 1528 - Xnest crashes with "+extension Composite"
Summary: Xnest crashes with "+extension Composite"
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: 6.8.0
Hardware: x86 (IA32) Linux (All)
: highest normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 700
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 02:34 UTC by Clemens Fruhwirth
Modified: 2007-02-22 14:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Clemens Fruhwirth 2004-10-04 02:34:22 UTC
Adding +extension Composite to Xnest will cause a Seg.fault in libX11 according
to gdb. gdb blames XauReadAuth but actually it's XauReadAuth+470377 so I assume
that doesn't mean anything for XauReadAuth.

The Composite extension of my hosting X server is turned off.
Comment 1 Alexander Gottwald 2004-10-04 03:33:42 UTC
Actually it seems some wrappers are not initialized.

I once started to track it down and found miPictureInit is not called.
But this is most likely only one of the missing initialisations in Xnest
Comment 2 Adam Jackson 2004-10-04 06:12:11 UTC
the Render extension is a prerequisite for Composite support, and Xnest does not
support Render yet.
Comment 3 Clemens Fruhwirth 2004-10-04 14:56:39 UTC
Just for curiousity I tried to start with RENDER, but Xnest didn't complain,
although the extension is not active in Xnest according to xdpyinfo.

However, is there some kind of time table, when Xnest will support Render? I'd
like to trace another (Composite) bug, #1397, by utilizing Xnest. It's not easy
to trace a bug, when the whole box hard-freezes :).. too bad nobody else sees
that problem.
Comment 4 Roland Mainz 2004-10-04 16:36:40 UTC
Clemens Fruhwirth wrote:
> I'd like to trace another (Composite) bug, #1397, by utilizing Xnest.

Another option is to use Linux installed in VMware and run the "Xorg" serverr
there. It's not very fast but allows easy&safe debugging (the worst thing which
can happen is a VMware guest lockup).
Comment 5 Mike A. Harris 2004-10-07 02:42:49 UTC
(In reply to comment #3)
> However, is there some kind of time table, when Xnest will support Render?

It seems that RENDER support for Xnest is a project which currently needs
an interested volunteer to take to task.  If anyone is interested in taking
this on, please let us know by emailing xorg@freedesktop.org.

Once someone has expressed interest in implementing this support, and
volunteered to do the work, assuming they complete it and it works correctly,
it will probably appear in a future X.Org X11 release.


Comment 6 Chris Lee 2005-07-04 11:17:07 UTC
Is there any reason why you would specifically require Xnest and you couldn't 
use (say) Xephyr for this? 
 
http://freedesktop.org/wiki/Software/Xephyr 
Comment 7 Clemens Fruhwirth 2005-07-04 11:35:46 UTC
I wanted to use Xnest to analyse why X.org crashed with kbounce (Bug 1397). I
think Xephyr is an entirely different code base.. 

Regarding your NEEDINFO bug status change:

As the bug title says, Xnest crashes. If you're running Xorg =< 6.8.2, just
paste "Xnest +extension Composite :1" to your terminal. It's ok to refuse
Composite support for Xnest, but segfault isn't the correct response imho.
Comment 8 Mike A. Harris 2006-08-31 07:13:41 UTC
Does this problem still occur with Xorg 7.1 or current CVS head?
Comment 9 Timo Jyrinki 2007-02-22 14:28:30 UTC
Marking broken (status null/blank) bugs in xorg with no activity in a long time as fixed. Please reopen if you think it's necessary, but first do a search if a similar bug report is already filed and in a NEW/ASSIGNED state. These bugs do not currently show in most search results as they do not have any status.

Sorry for this janitorial spam, you know where to send hate mails to when your inbox gets full of bugs you're subscribed to.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.